#!@l_prefix@/bin/openpkg rc
##
##  rc.java -- Run-Commands
##

%config
    java_enable="$openpkg_rc_def"

%status -u root -o
    java_usable="unknown"
    java_active="no"
    @l_prefix@/bin/java -version >/dev/null 2>&1 && java_usable="yes"
    echo "java_enable=\"$java_enable\""
    echo "java_usable=\"$java_usable\""
    echo "java_active=\"$java_active\""

%env
    rcService java enable yes || exit 0
    eval `@l_prefix@/bin/java-toolkit --env`

